Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Possible Duplicate:
How to install a .tar.gz file?

So I want to install the zathura package:

http://packages.ubuntu.com/natty/zathura

Unfortunately it isn't as easy as sudo apt-get install and my resident linux geek has gone to sleep.

Following the link above it is possible to find some .tar.gz archives, one of which (zathura_0.0.8.5.orig.tar.gz) actually includes a README and a make file. Nevertheless whoever wrote those assumes a basic level of competence that I do not have. In particular I have no idea how to check whether I meet the stated requirements, and what to do if I do not. (running make install produces a bunch of errors, so I assume I don't have the required dependencies.)

Still a beginner so I usually need step by step instructions to install anything.

In a response to comments below it is important I am running Ubuntu 10.04 LTS - the Lucid Lynx. Apparently the package in question is incorporated in the "Ubuntu Software Centre" for newer versions of Ubuntu.

I also appreciate this post is getting to localized. Nevertheless I just want to thank everyone who answered/commented. Between this discussion and the other post (How to install a .tar.gz file?) I am close to having worked out how to compile the package from source.

share|improve this question

marked as duplicate by hbdgaf, Eliah Kagan, jokerdino, nitstorm, Amith KK Aug 18 '12 at 6:45

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
I had had a look at the above post, but did not find it terribly insightful. It talks about the right topic but in insufficient detail. –  Psachnodaimonia Jul 21 '12 at 0:27
    
Anything "insightful" is going to be horribly package specific and not useful to other users...hence closable as too localised. I take your point, but if you want to compile from source it WILL take practice or reading. It's not checkboxes. –  hbdgaf Jul 21 '12 at 0:29
    
Please edit your question detailing what version of ubuntu you have, thanks. –  Jorge Castro Jul 21 '12 at 0:30
3  
How about you just wait for your "resident Linux geek" to wake up? ;) –  izx Jul 21 '12 at 0:53

2 Answers 2

My apologies for answering my own question as well as the fact that it was probably to localized.

The one bit of information I needed and wasn't able to find on that other post (How to install a .tar.gz file?), which might be of general interest, is that when a README file in a .tar.gz file containing the source code for some package lists it's pre-requisites/dependencies you need the developer version of those packages. For example, I needed libpoppler-glib-dev (in Synaptic) rather than libpoppler-glib4 which I already had. Threw me off.

Once I had the right packages it was as easy as running make and then sudo make install (or checkinstall) while in the extracted folder containing the package.

share|improve this answer
    
It's not bad to answer your own question. It's most excellent. Furthermore, this questions is unlikely to be too localized, though it may be considered a duplicate of the more general question. (Nobody has voted to close as too-localized.) If we do dupe it to that question, you might consider posting this valuable information about READMEs there. –  Eliah Kagan Jul 21 '12 at 17:45

Install the package using Ubuntu Software Center or Synaptic (this will install the prebuilt application)

share|improve this answer
    
If it was that easy I would have done it already. –  Psachnodaimonia Jul 20 '12 at 23:49
1  
@Psachnodaimonia It's in software center for 12.04...so yes, it is that easy –  hbdgaf Jul 20 '12 at 23:51
1  
So that's where I went wrong: I don't have 12.04... –  Psachnodaimonia Jul 21 '12 at 0:20
    
There are also versions for Natty and Oneiric (and there will be one for Quantal). What goes wrong when you try to install it with Synaptic? Installing from a tar.gz file is much more complicated. –  John S Gruber Aug 12 '12 at 23:47

Not the answer you're looking for? Browse other questions tagged or ask your own question.